services:
  react:
    image: node:lts-bullseye
    command: /bin/bash run.sh
    working_dir: /app
    volumes:
      - ./ghi/app:/app
    ports:
      - "3000:3000"
    environment:
      HOST_OS: ${OS}
      NODE_ENV: development
      HOST: "0.0.0.0"
  database:
    image: postgres:14.2-bullseye
    volumes:
      - gamefiles:/var/lib/postgresql/data
      - ./db:/docker-entrypoint-initdb.d
    environment:
      - POSTGRES_USER=backend
      - POSTGRES_PASSWORD=password
      - POSTGRES_DB=gamefiles
    ports:
      - 15433:5432
  backend-api:
    build:
      context: ./backend/api
      dockerfile: ./Dockerfile.dev
    ports:
      - "8000:8000"
    volumes:
      - ./backend/api:/app
    depends_on:
      - database
    environment:
      DATABASE_URL: postgres://backend:password@database:5432/gamefiles
      WAIT_HOSTS: database:5432
      WAIT_TIMEOUT: 240
volumes:
  gamefiles:
    external: true
